import urllib2
import sys

########################################
# Define a function to send an HTTP command and get the result
########################################

def Get_HTTP_Result(CmdToSend):

    # Specify the IP address
    CmdToSend = "http://192.168.9.69/:" + CmdToSend

    # Send the HTTP command and try to read the result
    try:
        HTTP_Result = urllib2.urlopen(CmdToSend)
        PTE_Return = HTTP_Result.read()

        # Look for the default response to an invalid command
        if "Model:" in PTE_Return:
            print "Error, command not found:", CmdToSend
            PTE_Return = "Invalid Command!"

    # Catch an exception if URL is incorrect (incorrect IP or disconnected)
    except:
        print "Error, no response from device; check IP address and connections."
        PTE_Return = "No Response!"
        sys.exit()      # Exit the script

    # Return the response
    return PTE_Return


########################################
# Send some commands to the FCPM
########################################

print Get_HTTP_Result("MN?")        # Print model name
print Get_HTTP_Result("SN?")        # Print serial number

Get_HTTP_Result("FC:SAMPLETIME:500")     # Set sample time (500 ms)
SampleTime = Get_HTTP_Result("FC:SAMPLETIME?")     # Confirm sample time
print "Sample Time (ms):", str(SampleTime)

Freq = Get_HTTP_Result("FREQ?")     # Read frequency
print "Measured Frequency:", str(Freq)

Get_HTTP_Result("AVG:STATE:1")          # Enable averaging mode
print ("Averaging Mode:", Get_HTTP_Result("AVG:STATE?"))    # Confirm averaging mode

Get_HTTP_Result("AVG:COUNT:16")         # Set averaging count to 16
print ("Averaging Count:", Get_HTTP_Result("AVG:COUNT?"))   # Confirm averaging count

Pwr = Get_HTTP_Result("POWER?")       # Read power
print "Measured Power: ", str(Pwr)

